;;;; cl-scopes/test-steps - testing for the scopes-steps system.

(defpackage :scopes/test-steps
  (:use :common-lisp)
  (:local-nicknames (:config :scopes/config)
                    (:steps :scopes/steps)
                    (:util :scopes/util)
                    (:t :scopes/testing))
  (:export #:run #:user #:password)
  (:import-from :scopes/testing #:deftest #:==))

(in-package :scopes/test-steps)

(defvar *config* nil)
(defvar *test-process* nil)

(defun run ()
  (let ((*config* nil)
        (t:*test-suite* (t:test-suite "steps"))
        (*test-process* (make-instance 'steps:process :name "test-process")))
    (load (t:test-path "config-steps" "etc"))
    (test-send)
    (t:show-result)))

(t:deftest test-send ()
  (== (steps:name *test-process*) "test-process"))
